.wc-image-wrapper{
    position: relative;
    overflow: hidden;
}

/* Overlay hidden initially */
.wc-hover-overlay{
    position: absolute;
    bottom: -100%;   /* hidden below */
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, rgba(240, 98, 98, 0.7), transparent);
    color: #fff;

    display: flex;
    justify-content: center;
    align-items: center;

    font-size: 16px;
    font-weight: 500;

    transition: 0.4s ease;
}

/* Hover Effect */
.wc-image-wrapper:hover .wc-hover-overlay{
    bottom: 0;   /* comes up */
}

/* Optional: smooth zoom effect */
.wc-image-wrapper img{
    transition: 0.4s ease;
}

.wc-image-wrapper:hover img{
    transform: scale(1.05);
}
.wc-image-wrapper .wc-hover-overlay span{
    border: 1px soAlid #fff;
    padding: 8px 16px;
    text-transform: uppercase;
    letter-spacing: 1px;
}